Signalr入门系列一:Signalr支持的平台

SignalR在各种服务器和客户端配置下受支持。另外,每个transport option都有自己的要求; 如果传输的系统要求不可用,SignalR将优雅地切换到其他传输。服务器系统要求SignalR服务器组件可以托管在各种服务器配置上。本节介绍在操作系统,.NET framework,IIS和其他组件上支持的版本。支持的服务器操作系统SignalR服务器组件可以托管在以下服务器或客户端操作系统中。请注意,如果SignalR使用WebSocket,需要Windows Server 2012或Windows 8及以上的操作系统(只要网站的.NET Framework版本设置为4.5和网站的配置中启用了Web套接字页,WebSocket就可以在Windows Azure网站上使用)。
  • Windows Server 2012
  • Windows Server 2008 R2
  • Windows 8
  • Windows 7
  • Windows Azure
  • 支持的.NET Framework版本SignalR 2仅在.NET Framework 4.5上受支持。请参阅“ 推荐的更新”部分,了解可提高可靠性,兼容性,稳定性和性能的更新。支持的IIS版本当SignalR驻留在IIS中时,支持以下版本。如果使用客户端操作系统,例如开发(Windows 8或Windows 7),则不应使用完整版本的IIS或Cassini,因为这会强制实现10个同时连接的限制,因为连接是短暂的,经常重新建立,并且不再使用时不能立即处理。应该在客户端操作系统上使用IIS Express。另外请注意,为了SignalR使用WebSocket,必须使用IIS 8或IIS 8 Express,服务器必须使用Windows 8,Windows Server 2012或更高版本,并且必须在IIS中启用WebSocket。有关如何在IIS中启用WebSocket的信息,请参阅IIS 8.0 WebSocket协议支持
  • IIS 8或IIS 8 Express。
  • IIS 7和7.5。必须支持extensionless URLs
  • IIS必须以集成模式运行; 经典模式不受支持。如果IIS在经典模式下使用Server-Sent Events传输,则可能会遇到长达30秒的消息延迟。
  • 托管应用程序必须以完全信任模式运行。
  • 客户端系统要求SignalR可以用于各种客户端平台。本节介绍在Web浏览器,Windows桌面应用程序,Silverlight应用程序和移动设备中使用SignalR的系统要求。网页浏览器SignalR可以用于各种网页浏览器,但通常只支持最新的两个版本。在浏览器中使用SignalR的应用程序必须使用jQuery版本1.6.4或更高版本(如1.7.2,1.8.2或1.9.1)。SignalR可以在以下浏览器中使用:
  • Microsoft Internet Explorer版本8,9,10和11.支持Modern,Desktop和Mobile版本。
  • Mozilla Firefox:当前版本 - 1,Windows和Mac版本。
  • 谷歌浏览器:当前版本 - 1,Windows和Mac版本。
  • Safari:当前版本 - 1,Mac和iOS版本。
  • Opera:当前版本 - 1,仅限Windows。
  • Android浏览器
  • 除了要求某些浏览器外,SignalR使用的transports也有自己的要求。transports的配置要求:Web浏览器Transport要求 TransportIE浏览器Chrome(Windows或iOS)火狐Safari(OSX或iOS)Android的 WebSockets 10+ 当前 - 1 当前 - 1 当前 - 1 N / A Server-Sent Events N / A 当前 - 1 当前 - 1 当前 - 1 N / A ForeverFrame 8+ N / A N / A N / A 4.1 长轮询 8+ 当前 - 1 当前 - 1 当前 - 1 4.1 不支持的浏览器  SignalR 可能在较老的浏览器版本中运行时会出现问题,微软也不再进行维护了。Windows桌面和Silverlight应用程序除了在Web浏览器中运行,SignalR还可以托管在独立的Windows客户端或Silverlight应用程序中。Windows桌面和Silverlight SignalR应用程序具有以下系统要求。
  • Windows XP SP3或更高版本支持使用.NET 4的应用程序。
  • Windows Vista或更高版本支持使用.NET Framework 4.5的应用程序。
  • 除了操作系统和.NET框架要求外,SignalR可用的transports还有自己的要求。transports的配置要求:Windows桌面和Silverlight传输要求 transports.NET应用程序Silverlight Web Sockets Windows 8 +和.NET 4.5+ N / A Forever Frame N / A N / A Server-Sent Events .NET 4+ 5+ 长轮询(Long Polling) .NET 4+ 5+  Windows应用商店和Windows Phone应用程序SignalR可以在Windows应用商店的应用程序和Windows Phone 8应用程序中使用。transports的配置要求:Windows应用商店和Windows Phone传输要求 TransportWindows商店/ .NETWindows商店/ JavaScriptWindows Phone / IEWindows Phone / .NET WebSockets N / A 在Win8 + 8+ N / A Forever Frame N / A 在Win8 + 7.5+ N / A Server-Sent Events 在Win8 + N / A N / A 8+ 长轮询(Long Polling) 在Win8 + 在Win8 + 7.5+ 8+  推荐更新SignalR服务器推荐以下更新:
  • 这里提供了.NET Framework 4.5的更新
  • 微软将定期发布ASP.NET的QFE。
  • 相关内容推荐